use new_banks;

set names cp1251;


drop table if exists sp_trans_p_t;
create table sp_trans_p_t(inn_p bigint(10),n_quarter smallint,  n int,  sum double,
inn_q char(20), primary key(inn_q))
 character set cp1251 MAX_ROWS=300000000;
insert into sp_trans_p_t select inn_p,n_quarter, n, sum, concat(inn_p,'#',n_quarter) from sp_trans_p;


drop table if exists sp_trans_r_t;
create table sp_trans_r_t(n int,  sum double,
inn_q char(20),primary key(inn_q)) 
character set cp1251 MAX_ROWS=300000000;
insert into sp_trans_r_t select n, sum, concat(inn_r,'#',n_quarter) from sp_trans_r;


drop table if exists aggr_tmp0;
create table aggr_tmp0(inn_q char(20),inn bigint(10),n_quarter smallint,  
sp_n_p int default 0,  sp_sum_p double default 0,
sp_n_r int not null default 0,  sp_sum_r double not null default 0, 
primary key(inn_q)) character set cp1251 MAX_ROWS=300000000;

insert into aggr_tmp0 select a.inn_q,a.inn_p, a.n_quarter, a.n, a.sum,
b.n, b.sum from 
sp_trans_p_t a left join (sp_trans_r_t b)
on (a.inn_q=b.inn_q) ;




drop table if exists aggr_trans_sp_cl;
create table aggr_trans_sp_cl(inn_q char(20),inn bigint(10),n_quarter smallint,  
sp_n_p int default 0,  sp_sum_p double default 0,
sp_n_r int not null default 0,  sp_sum_r double not null default 0, 
n_r int not null default 0,  sum_r double not null default 0, 
n_p int not null default 0,  sum_p double not null default 0, 
n_t int not null default 0,  sum_t double not null default 0, 
n_e int not null default 0,  sum_e double not null default 0, 
primary key(inn_q)) character set cp1251 MAX_ROWS=300000000;

insert into aggr_trans_sp_cl select a.inn_q, a.inn, a.n_quarter, 
a.sp_n_p, a.sp_sum_p, a.sp_n_r, a.sp_sum_r, n_r,sum_r,
n_p, sum_p, n_t, sum_t, n_e, sum_e from 
aggr_tmp0 a left join (aggr_trans c)
on (a.inn_q=c.inn_q) ;

drop table if exists aggr_trans_sp_cl_2y;
create table aggr_trans_sp_cl_2y(inn bigint(10), 
sp_n_p int default 0,  sp_sum_p double default 0,
sp_n_r int not null default 0,  sp_sum_r double not null default 0, 
n_r int not null default 0,  sum_r double not null default 0, 
n_p int not null default 0,  sum_p double not null default 0, 
n_t int not null default 0,  sum_t double not null default 0, 
n_e int not null default 0,  sum_e double not null default 0)
character set cp1251 MAX_ROWS=300000000;

insert into aggr_trans_sp_cl_2y select inn,sum(sp_n_p),sum(sp_sum_p),
sum(sp_n_r), sum(sp_sum_r), sum(n_r), sum(sum_r),sum(n_p), sum(sum_p),sum(n_t), sum(sum_t)
,sum(n_e), sum(sum_e) from aggr_trans_sp_cl group by inn;

select  b.name, a.*     
from aggr_trans_sp_cl_2y a, agents_inn b where (a.inn=b.inn)  and (a.inn>100000000) and (a.inn<10000000000)
order by sp_sum_p desc into outfile './spacemen_cl.txt' fields terminated by '|' ;



drop table if exists aggr_tmp0;
drop table if exists sp_trans_r_t;
drop table if exists sp_trans_p_t;







