use new_banks1;

set names cp1251;

select @tax_rate:=0.001;
select @r_to_p:=1.0;
select @min_tr:=10;
select @min_r:=100000;
select @min_esn:=600*.36;


drop table if exists firms_inn;
create table firms_inn (name varchar(250), k_name varchar(250), address varchar(250), phone varchar(250), p_index varchar (250),
f_address varchar(250), f_phone varchar(250), f_p_index varchar (250),
 inn bigint(10), reg smallint, n_r int default 0,  sum_r double default 0,
n_p int default 0,  sum_p double default 0, n_t int default 0,  sum_t double default 0,
n_e int, sum_e double,sp smallint, tax_rate double,dat1 date, dat2 date) 
character set cp1251 MAX_ROWS=300000000;

insert into firms_inn select f.name,f.k_name,f.adress,f.phone,f.p_index,f.f_adres, f.f_phone,
 f.f_index, a.inn,e.reg,a.n_r,a.sum_r,a.n_p, a.sum_p,a.n_t, a.sum_t, a.n_e, a.sum_e,
((sum_t<((sum_r-sum_p+sum_t)*@tax_rate)) and (sum_p<(sum_r*@r_to_p)) and (oao=0)
and (sum_e<@min_esn*datediff(d.dat2,d.dat1)/30)),
sum_t/(sum_r-sum_p+sum_t),d.dat1, d.dat2 from 
aggr_trans_2y a, match_inn b, agents_3 c, age d, regions_inn e,  egrp.egrp2003_1 f
where (a.inn=e.inn) and (a.inn=b.inn) and (b.id_c=c.id) and (a.inn=d.inn) and (a.inn=f.inn) and
(b.gov=0) and (b.strange=0) and (b.bank=0) and (c.bank=0) and (oao or ooozao) and (c.mgup=0) and 
(c.broker=0) and (c.strah=0) and (c.fond=0) and (c.inostr=0) and (c.pboul=0) and (e.reg>0) and
((n_r+n_p)>=@min_tr) and (sum_r>(@min_r*datediff(d.dat2,d.dat1)/30))
and (d.dat1<'2004-10-01') group by a.inn ;

select * from firms_inn order by reg limit 64000
into outfile './firms1.txt' fields terminated by '|' ;

select * from firms_inn order by reg limit 64001, 64000
into outfile './firms2.txt' fields terminated by '|' ;

select * from firms_inn order by reg  limit 128001, 64000
into outfile './firms3.txt' fields terminated by '|' ;




