

use new_banks;

set names cp1251;

drop table if exists agents2003;
create table agents2003( name  varchar(250),  inn bigint(10), 
bik int(9),  account char(20), n float)  character set cp1251 MAX_ROWS=300000000;

insert into agents2003 select name, inn, bik, account, sum(n) from agents_raw group by
bik, account, inn;

ALTER TABLE agents2003 ADD id INT UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id);

drop table if exists accounts;
create table accounts(bik int(9),  account char(20))  character set cp1251 MAX_ROWS=300000000;

insert into accounts select  bik, account from agents2003 group by bik, account;
ALTER TABLE accounts ADD id INT UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id);

create index bik on accounts(bik);
create index account on accounts(account);

drop table if exists agents_tmp;

create table agents_tmp( id int,  iba char(48), primary key(id))  character set cp1251 MAX_ROWS=300000000;
create index iba on agents_tmp(iba);

insert into agents_tmp select id, concat(inn,'#',bik,'#', account) from agents2003;


drop table if exists agents;
create table agents(id INT unsigned, name  varchar(250) binary,  inn bigint(10), id_ac int unsigned,
n float, primary key(id))  character set cp1251 MAX_ROWS=300000000;
create index inn on agents(inn);
create index id_ac on agents(id_ac);
###create index account on agents(account);

insert into agents select a.id, a.name, a.inn, b.id, a.n from agents2003 a, accounts b where (a.account=b.account) and (a.bik=b.bik);


