

use new_banks;

set names cp1251;

drop table if exists trans_2004;

#drop index inn_p on t_trans_2004;
#drop index inn_r on t_trans_2004;

#create index id_p on t_trans_2004(id_p);
#create index id_r on t_trans_2004(id_r);
                                
create table trans_2004(dat date, sum double, descr  varchar(250), id_p int, id_r int,
 inn_p bigint, inn_r bigint,gov smallint, gov1 smallint)  character set cp1251 MAX_ROWS=300000000;
insert into trans_2004 select dat,sum,descr,id_p,id_r,inn_p,inn_r ,gov,gov1 from t_trans_2004 where dat<'2004-06-01' group by dat, id_p,id_r, sum;
insert into trans_2004 select dat,sum/100,descr,id_p,id_r,inn_p,inn_r ,gov,gov1 from t_trans_2004 where dat>='2004-06-01' group by dat, id_p,id_r, sum;


create index dat on trans_2004(dat);
create index inn_p on trans_2004(inn_p);
create index inn_r on trans_2004(inn_r);






