use new_banks;

set names cp1251;

drop table if exists taxes_p_t;
create table taxes_p_t( n int,  sum double,
inn_q char(20), primary key(inn_q) )
 character set cp1251 MAX_ROWS=300000000;
insert into taxes_p_t select n, sum, concat(inn_p,'#',n_quarter) from taxes_p;



drop table if exists esn_p_t;
create table esn_p_t( n int,  sum double,
inn_q char(20), primary key(inn_q) )
 character set cp1251 MAX_ROWS=300000000;
insert into esn_p_t select n, sum, concat(inn_p,'#',n_quarter) from esn_p;


drop table if exists trans_r_t;
create table trans_r_t(inn_r bigint(10),n_quarter smallint,  n int,  sum double,
inn_q char(20), primary key(inn_q))
 character set cp1251 MAX_ROWS=300000000;
insert into trans_r_t select inn_r,n_quarter, n, sum, concat(inn_r,'#',n_quarter) from trans_r;


drop table if exists trans_p_t;
create table trans_p_t(n int,  sum double,
inn_q char(20),primary key(inn_q)) 
character set cp1251 MAX_ROWS=300000000;
insert into trans_p_t select n, sum, concat(inn_p,'#',n_quarter) from trans_p;


drop table if exists aggr_tmp;
create table aggr_tmp(inn_q char(20),inn bigint(10),n_quarter smallint,  n_r int default 0,  sum_r double default 0,
n_p int not null default 0,  sum_p double not null default 0, primary key(inn_q)) character set cp1251 MAX_ROWS=300000000;

insert into aggr_tmp select a.inn_q,a.inn_r, a.n_quarter, a.n, a.sum,b.n, b.sum from 
trans_r_t a left join (trans_p_t b)
on (a.inn_q=b.inn_q) ;




drop table if exists aggr_tmp2;
create table aggr_tmp2(inn_q char(20), inn bigint(10),n_quarter smallint, n_r int default 0,  sum_r double default 0,
n_p int default 0,  sum_p double default 0, n_t int not null default 0,  sum_t double not null default 0) character set cp1251 MAX_ROWS=300000000;

insert into aggr_tmp2 select a.inn_q, a.inn, a.n_quarter, n_r, sum_r,n_p, sum_p, c.n, c.sum from 
aggr_tmp a left join (taxes_p_t c)
on (a.inn_q=c.inn_q) ;


drop table if exists aggr_trans;
create table aggr_trans(inn_q char(20),inn bigint(10),n_quarter smallint,  n_r int default 0,  sum_r double default 0,
n_p int default 0,  sum_p double default 0,n_t int,sum_t int, n_e int not null default 0,  
sum_e double not null default 0, primary key(inn_q)) character set cp1251 MAX_ROWS=300000000;

insert into aggr_trans select a.inn_q, a.inn, a.n_quarter, n_r, sum_r,n_p, sum_p,n_t,sum_t, c.n, c.sum from 
aggr_tmp2 a left join (esn_p_t c)
on (a.inn_q=c.inn_q) ;

drop table if exists aggr_trans_2y;
create table aggr_trans_2y(inn bigint(10), n_r int default 0,  sum_r double default 0,
n_p int default 0,  sum_p double default 0, n_t int not null default 0,  sum_t double not null default 0,
n_e int, sum_e double) character set cp1251 MAX_ROWS=300000000;

insert into aggr_trans_2y select inn,sum(n_r), sum(sum_r),sum(n_p), sum(sum_p),sum(n_t), sum(sum_t)
,sum(n_e), sum(sum_e) from aggr_trans group by inn;


drop table if exists aggr_tmp;
drop table if exists aggr_tmp2;
drop table if exists trans_p_t;
drop table if exists tax_p_t;
drop table if exists trans_r_t;
drop table if exists esn_p_t;







